# module Tk::Trofs

### Constants

PACKAGE_NAME

### Public Class Methods

create_archive(dir, archive) click to toggle source

    # File lib/tkextlib/trofs/trofs.rb, line 37
    def self.create_archive(dir, archive)
      tk_call('::trofs::archive', dir, archive)
      archive
    end

mount(archive, mountpoint=None) click to toggle source

    # File lib/tkextlib/trofs/trofs.rb, line 42
    def self.mount(archive, mountpoint=None)
      # returns the normalized path to mountpoint
      tk_call('::trofs::mount', archive, mountpoint)
    end

package_name() click to toggle source

    # File lib/tkextlib/trofs/trofs.rb, line 23
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/trofs/trofs.rb, line 27
    def self.package_version
      begin
        TkPackage.require('trofs')
      rescue
        ''
      end
    end

umount(mountpoint) click to toggle source

    # File lib/tkextlib/trofs/trofs.rb, line 47
    def self.umount(mountpoint)
      tk_call('::trofs::umount', mountpoint)
      mountpoint
    end